Workflow API

Abstract
Workflow API for processes (workflows), tasks and jobs.

Access

  • Bearer Authentication

Endpoints

Workflow

POST /api/v1/workflow/start

Start workflows

Description

Start one or more workflows by providing a pluginIdentifier of a configured WorkflowConfig function in OMN

Parameters
Body Parameter
Name Description Required Default Pattern

BulkStartRequestDto

Workflow start request containing the start information BulkStartRequestDto

X

Return Type

array[ResponseDto]

Content Type
  • application/json

Responses
Table 1. HTTP Response Codes
Code Message Datatype

200

Successful operation

List[ResponseDto]

Models

BulkStartRequestDto

Field Name Required Nullable Type Description Format

configIdentifier

String

processStartRequests

List of ProcessStartRequestDto

IssueDto

Detailed description of the issue

Field Name Required Nullable Type Description Format

code

Integer

int32

description

String

details

Map of [string]

LinkedObjectDto

Use either ID or TID but not both

Field Name Required Nullable Type Description Format

tid

String

id

Long

int64

type

[String]

Enum: file, product, peo, project, glossary,

ParameterDto

Field Name Required Nullable Type Description Format

key

String

type

[String]

Date Parameter must be in Camunda specific date format yyyy-MM-dd'T'HH:mm:ss.SSSZ, which represents a date with milliseconds and timezone information, e.g., 2016-01-25T13:33:42.165+0100.

Enum: string, double, integer, long, boolean, date, language,

values

List of [object]

ProcessStartRequestDto

Field Name Required Nullable Type Description Format

linkedObjects

List of LinkedObjectDto

array of linked Objects

parameters

List of ParameterDto

array of parameters

ResponseDto

Field Name Required Nullable Type Description Format

tid

X

String

status

X

[String]

Enum: success, error,

dataType

[String]

Enum: product, asset, channel, message, workflow,

supportId

String

issues

List of IssueDto